/* Reset */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: var(--white);
    font-family: "Poppins", sans-serif;
    background-image: url(img/baggrund.png);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

a{
    text-decoration: none;
}

ul{
    list-style: none;
}

/* Header */
.header{
    background-color: #f4e2c7;
    box-shadow: 1px 1px 5px 0px var(--grey);
    position: sticky;
    top: 0;
    width: 100%;
    margin-bottom: 60px;
    z-index: 2; 
}

/* Logo */
.logo {
    display: inline-block;
    font-size: 60px;
    margin-left: 10px;
    margin-top: 10px;
}

/* Nav menu */
.nav{
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: #f7e5ca;
    overflow: hidden;
    z-index: 2;
    -webkit-overflow-scrolling: touch;
}

.menu a,.menu p{
    display: block;
    padding: 30px;
    color: #28190f;

}

.menu a:hover{
    background-color: #f2d2a7;
}

.nav{
    max-height: 0;
}

/* Sub nav */

.subnav {
    position: relative;
}

.subnav-content {
    background-color: #f2d2a7;
    width: 100%;
    z-index: 3;
    padding: 20px 0 ;
    display: none;
    position: absolute;
  }
.subnav-content a {
    color: var(--black);
    text-decoration: none;
    padding: 0;
    margin: 10px 0;
    text-align: center;
   
}
.subnav:hover .subnav-content {
    display: block;

}

/* Menu ikoner */

.hamb{
    cursor: pointer;
    float: right;
    padding: 40px 20px;
    position: relative;
}


.hamb-line {
    background: #28190f;
    display: block;
    height: 2px;
    position: relative;
    width: 24px;
    
}

.hamb-line::before,
.hamb-line::after{
    background: #28190f;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
}

.hamb-line::before{
    top: 5px;
}

.hamb-line::after{
    top: -5px;
}


.side-menu {
    display: none;
}

.menu p:focus + .subnav-content,
.menu p:hover + .subnav-content {
    display: block;
}

/* Skift menu ikon */

.side-menu:checked ~ nav{
    max-height: 100%;
}

.side-menu:checked ~ .hamb .hamb-line {
    background: transparent;
}

.side-menu:checked ~ .hamb .hamb-line::before {
    transform: rotate(-45deg);
    top:0;

}

.side-menu:checked ~ .hamb .hamb-line::after {
    transform: rotate(45deg);
    top:0;
}

.hamb, .menu a {
    cursor: pointer;
}

/* Styling for main starter her */

.main-content {
    position: relative;
    z-index: 1;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

.text-container {
    font-family: Poppins;
    color: white;
    margin-left: 5%;
    font-size: 14px;
    margin-bottom: -2%;
}

.forside-velkomst {
    margin-bottom: 2%;
}

/* Styling for forside artikler START */

.main-article {
    background-color: #28190f;
    padding: 5%; 
    font-family: Poppins;
    color: white;
    font-size: 14px;
}

.artikel-tekst {
    font-size: 12px;
    font-weight: 300;
}

.articles-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.main-article {
    width: 100%; 
   
}

/* Styling for forside artikler SLUT */


/* Footer START */

.footer {
    background-color: #f4e2c7;
    padding: 20px;
    margin-top: auto;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.footer-section {
    width: 100%;
    margin-bottom: 10px;
    text-align: center;
}

.footer h2,
.footer p,
.footer span {
    font-size: 14px;
}

/* Footer SLUT */

/* Style underside - Alkoholfri øl til maden - START */

.tekst-mad {
    background-color: #28190f;
    color: white;
    font-family: Poppins;
    margin: 5%;
    padding: 5%;
    font-size: 0.8rem;
    border-radius: 10px;
}

.overskrift-vision {
    margin-bottom: 2%;
}

.highlight-orange {
    color: #e38606;
}

.overskrift-burger {
    margin-bottom: 2%;
}

/* Style underside - Alkoholfri øl til maden - SLUT */

/* Style underside - Vision - START */

.tekst-vision {
    background-color: #28190f;
    color: white;
    font-family: Poppins;
    margin: 5%;
    padding: 5%;
    font-size: 0.8rem;
    border-radius: 10px;
}

.logo-stort {
    max-width: 70%;
    height: auto; 
    display: block;
    margin: 0 auto; 
    padding: 20px; 
}

.container-vision {
    display: flex;
    flex-direction: column;
}

img {
    max-width: 100%;
}

/* Style underside - Vision - SLUT */

/* Style underside - Alkoholfri øl - START */

.overskrift-top {
    margin-bottom: 2%;
}

.overskrift-joy {
    margin-bottom: 2%;
}

.overskrift-owl {
    margin-bottom: 2%;
}

.tekst-top {
    background-color: #28190f;
    color: white;
    font-family: Poppins;
    margin: 5%;
    padding: 5%;
    font-size: 0.8rem;
    border-radius: 10px;
    margin-top: -7%;
}

.tekst-joy {
    background-color: #28190f;
    color: white;
    font-family: Poppins;
    margin: 5%;
    padding: 5%;
    font-size: 0.8rem;
    border-radius: 10px; 
}

.tekst-owl {
    background-color: #28190f;
    color: white;
    font-family: Poppins;
    margin: 5%;
    padding: 5%;
    font-size: 0.8rem;
    border-radius: 10px; 
}

/* Style underside - Alkoholfri øl - SLUT */

/* Style underside - Under ombygning - START */

.tekst-under-ombygning {
   
    color: white;
    font-family: Poppins;
    margin: 5%;
    padding: 5%;
    font-size: 1rem;
    border-radius: 10px;
    text-align: center;
}

.logo-under-ombygning {
    max-width: 60%; 
    height: auto;
    display: block;
    margin: 0 auto; 
    margin-top: 5%; 
    margin-bottom: 5%;
}

/* Style underside - Under ombygning - SLUT */

/* MEDIA QUERIES */

/* Navigation */

@media (min-width: 941px) {
    .nav{
        max-height: none;
        top: 0;
        position: relative;
        float: right;
        width: fit-content;
        background-color: transparent;
        overflow: visible;

    }

    .menu li{
        float: left;
    }

    .menu a:hover{
        background-color: transparent;
        color: var(--grey);
        
    }
    
    .hamb{
        display: none;
    }

    /* Sub nav */

    .subnav-content {
        padding: 20px 0 ;
        display: none;
        background-color: #f2d2a7;
        position: absolute;
        z-index: 3;
    }
    .subnav-content a {
        color: #28190f;
    }

}

/* Artikler på forside */

@media (min-width: 886px) {
    .main-article {
        width: calc(50%);
    }
}

/* Footer elementer */

@media (min-width: 768px) {
    .footer-section {
        width: calc(25% - 20px);
    }
}

/* Forside tekst */

@media (min-width: 768px) {
    .forside-velkomst {
        font-size: 3.5rem;
    }

    .forside-tekst {
        font-size: 1.5rem; 
    }
}

/* Underside vision */

@media (min-width: 768px) {
    .container-vision {
        flex-direction: row;
    }

    .logo-stort {
        max-width: 40%;
        margin-bottom: 4%;
    }

    .tekst-vision {
        flex-grow: 1;
    }
}

/* Underside alkoholfri øl START */

@media (min-width: 850px) {
    .container-top {
        position: relative;
        display: inline-block;
    }

    .tekst-top {
        position: absolute;
        bottom: 0;
        right: 0;
        margin-bottom: 15%;
        font-size: 0.8rem;
        max-width: 60%;
    }

    .container-joy {
        position: relative;
        display: inline-block;
    }

    .tekst-joy {
        position: absolute;
        bottom: 0;
        right: 0;
        margin-bottom: 15%;
        font-size: 0.8rem;
        max-width: 60%;
    }

    .container-owl {
        position: relative;
        display: inline-block;
    }

    .tekst-owl {
        position: absolute;
        bottom: 0;
        right: 0;
        margin-bottom: 15%;
        font-size: 0.8rem;
        max-width: 60%;
    }

    .owl-billede {
       margin-bottom: -1%; 
       margin-top: 7%; 
    }

    .joy-billede {
        margin-bottom: -1%;
        margin-top: 5%; 
     }
}

/* Underside alkoholfri øl SLUT */